
Figure - Bug #118215
【IOVDEV-30209】【内部】【VC1】【0100】【台架】【EE环境】【副屏】【设置】播放本地音乐时，媒体
音量调节条与车内扬声器调节条有延迟不同步
2023-05-24 20:32 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-24

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100

Resolution: WONTFIX Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: PM说保持现状

Description

环境信息】EE环境

【问题出现时间】：20230524 15：49

【前提条件】：副屏上电，中控已连接

【操作步骤】

1.播放本地音乐

2.进入设置声音设置选项

3.点击用于播放音乐内容的设备选项

4.来回拖拽车内扬声器调节条

5.查看媒体音量调节条变化

【实际结果】

1.媒体音量调节条与车内扬声器调节条有延迟不同步

【期望结果】

1.媒体音量调节条与车内扬声器调节条同步

【备注】：

【当前开机次数】：118

【应用版本】：

【硬件版本号】：

VIN:HRYTTESTVINMGM401

【中控版本号】：03.02.0082.C101

【副屏版本号】：01.00.0100.c103

Related issues:

Related to Figure - Bug # 117961: 【IOV-28225】【VC1】【0080】【... CLOSED 2023-05-15

History

#1 - 2023-05-25 14:36 - CDTS_Test 吴诗雨

- File 052402.tar.gz added

- File IOVDEV-30209.zip added
#2 - 2023-05-25 17:46 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to ASSIGNED

HI ALL

根据调查，发现该场景下调节音量条，调用setstreamvolume接口很多次，

而调节音量又因为通过微服务进行设置的，流程比较慢，也就导致了不同步的问题。

#3 - 2023-05-26 10:58 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

该问题和117961类似，

在拖动扬声器调节条时，如下的过程，该过程在多次触发时会导致延时。

拖动扬声器调节条->设置音量，等待回复->发消息给微服务->微服务转发给中控->网络通信->中控接收信息处理->中控回复消息->微服务接收消息->转

发给音量调节->设置音量成功->通知UI调整。

下一步：

方案：

1.在UI在抬起时触发设置音量，可以更少的请求设置音，会导致音量不是实时变化的。

2.保持现状。

#4 - 2023-05-30 17:03 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前进一步调查：

根据当前调查，音量设置在audio侧是有比较高的耗时，最大为100ms以内，该耗时无法避免。

使用扬声器时耗时：

05-30 15:57:24.404  1977  1977 D ViewTouchDebug: mView : DecorView@d1f45aa[MediaOutputDialog]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=1224.0, y[0]=228.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,

edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=353683, downTime=353519, deviceId=2, source=0x5002, displayId=0, eventId=359994752 }

触摸事件 4ms

05-30 15:57:24.408  1072  1072 D TS >>>  : setStreamVolume -> index = 19

05-30 15:57:24.409  1072  1072 D AS.AudioService: setStreamVolume(stream=3, index=19, calling=android)

设置音量等待回复 3ms

05-30 15:57:24.412  1072  1072 D AS.AudioService: idcm_volume:setIDCMicroVolume(stream=3, index=19, calling=android)

05-30 15:57:24.412  1072  1072 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume

05-30 15:57:24.412  1072  1072 D AudioIDCMicroNegotiator: idcm_common:requestResult method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"19"}}

发消息给微服务 0ms

05-30 15:57:24.412  1072  1072 I MicroServiceManager: requestResult(setVolume) parameters is{"functionInfo":{"IDCM_VolumeValue_Media":"19"}}.

微服务转发给中控 9ms
05-30 15:57:24.421  2107  6966 D MicroService: Send message to IDCM:SocketMessageBean{businessData='21930', srcService='FSEM_AudioService',

destService='IDCM_CarAudioService', messageType='0', uuid='1685433444413514129',

payloadData={"srcService":"FSEM_AudioService","dstService":"IDCM_CarAudioService","messageType":0,"uuid":1685433444413514129,"methodName":"setVo

lume","parameters":{"functionInfo":{"IDCM_VolumeValue_Media":"19"}}}}

中控回复消息,微服务接收消息 23ms

05-30 15:57:24.455  2107  6967 I MicroService: Receive message: SocketMessageBean{businessData='21930', srcService='IDCM_CarAudioService',

destService='FSEM_AudioService', messageType='1', uuid='1685433444413514129',

payloadData={"srcService":"IDCM_CarAudioService","dstService":"FSEM_AudioService","methodName":"setVolume","messageType":1,"uuid":16854334444135

14129,"parameters":{"functionInfo":{"IDCM_VolumeValue_Media":"19"}}}}

05-30 15:57:24.455  2107  6967 I MicroService: onResponse(setVolume): {"functionInfo":{"IDCM_VolumeValue_Media":"19"}}

转发给音量调节 1ms

05-30 15:57:24.456  1072  1928 D AudioIDCMicroNegotiator: idcm_common:response from IDCM method = setVolume parameters =

{"functionInfo":{"IDCM_VolumeValue_Media":"19"}}

05-30 15:57:24.456  1072  1928 D AudioIDCMicroNegotiator: idcm_volume:onSetIDCMicroVolume mIsTimeout= false value = 19 isRequested=true

05-30 15:57:24.456  1072  1072 D AudioIDCMicroNegotiator: idcm_volume:setIDCMicroVolume return 19

05-30 15:57:24.457  1072  1072 D AS.AudioService: idcm_volume:setIDCMicroVolume: 19

设置音量成功 更新音量 33ms

05-30 15:57:24.490  1072  1072 D TS >>>  : sendVolumeUpdate -> index = 190

总耗时 73ms

蓝牙连接时音量调节耗时：

05-30 16:53:39.449  1977  1977 D ViewTouchDebug: mView : DecorView@78233ad[MediaOutputDialog]Receive event : MotionEvent {

action=ACTION_MOVE, actionButton=0, id[0]=0, x[0]=1086.3997, y[0]=255.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE,

metaState=0, flags=0x0, edgeFlags=0x0, pointerCount=1, historySize=2, eventTime=3729068, downTime=3728629, deviceId=2, source=0x5002, displayId=0,

eventId=236844059 }

触摸事件 1ms

05-30 16:53:39.450  1072  1072 D TS >>>  : setStreamVolume -> index = 16

05-30 16:53:39.450  1072  1072 D AS.AudioService: setStreamVolume(stream=3, index=16, calling=android)

设置音量等待回复 1ms

05-30 16:53:39.451  1072  1072 D AS.AudioService: idcm_volume:setIDCMicroVolume bluetooth is connected return index = 16

05-30 16:53:39.451  1072  1072 D AS.AudioService: idcm_volume:setIDCMicroVolume: 16

05-30 16:53:39.451  1072  1072 D AS.AudioService: setStreamVolume postSetAvrcpAbsoluteVolumeIndex index=160stream=3

设置音量成功 更新音量 7ms

05-30 16:53:39.458  1072  1072 D TS >>>  : sendVolumeUpdate -> index = 160

总耗时9ms

关闭焦点策略调节音量耗时：

05-31 14:08:42.276  1916  1916 D ViewTouchDebug: mView : DecorView@59d969e[MediaOutputDialog]Receive event : MotionEvent { action=ACTION_UP,

actionButton=0, id[0]=0, x[0]=1146.0, y[0]=223.0, toolType[0]=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x0,
edgeFlags=0x0, pointerCount=1, historySize=0, eventTime=194460, downTime=194232, deviceId=3, source=0x5002, displayId=0, eventId=364823727 }

触摸事件 1ms

05-31 14:08:42.277  1068  1068 D TS >>>  : setStreamVolume -> index = 17

05-31 14:08:42.277  1068  1068 D AS.AudioService: setStreamVolume(stream=3, index=17, calling=android)

设置音量等待回复 1ms

05-31 14:08:42.278  1068  1068 D AS.AudioService: idcm_volume:setIDCMicroVolume: 17

设置音量成功 更新音量 3ms

05-31 14:08:42.281  1068  1068 D TS >>>  : sendVolumeUpdate -> index = 170

总耗时5ms

下一步：

请AF组更新一下UI侧的耗时，谢谢！

#5 - 2023-05-30 17:19 - CD FW-廖涛

■ Current conclusion

从日志中可以看出，从 UI 变更到调用 AudioManager 设置音量，耗时基本在 10ms 以内。

05-30 17:16:22.498  1941  1941 D Laban   : onProgressChanged: 1685438182498

05-30 17:16:22.503  1105  1105 D Laban   : setRouteVolume: 1685438182503

05-30 17:17:01.293  1941  1941 D Laban   : onProgressChanged: 1685438221293

05-30 17:17:01.298  1105  1105 D Laban   : setRouteVolume: 1685438221298

05-30 17:17:01.310  1941  1941 D Laban   : onProgressChanged: 1685438221310

05-30 17:17:01.327  1105  1105 D Laban   : setRouteVolume: 1685438221327

05-30 17:17:01.389  1941  1941 D Laban   : onProgressChanged: 1685438221389

05-30 17:17:01.391  1105  1105 D Laban   : setRouteVolume: 1685438221391

05-30 17:17:01.439  1941  1941 D Laban   : onProgressChanged: 1685438221439

05-30 17:17:01.440  1105  1105 D Laban   : setRouteVolume: 1685438221440

05-30 17:17:01.491  1941  1941 D Laban   : onProgressChanged: 1685438221491

05-30 17:17:01.492  1105  1105 D Laban   : setRouteVolume: 1685438221492

05-30 17:17:01.533  1941  1941 D Laban   : onProgressChanged: 1685438221533

05-30 17:17:01.534  1105  1105 D Laban   : setRouteVolume: 1685438221534

05-30 17:17:01.592  1941  1941 D Laban   : onProgressChanged: 1685438221592

05-30 17:17:01.597  1105  1105 D Laban   : setRouteVolume: 1685438221597

05-30 17:17:01.649  1941  1941 D Laban   : onProgressChanged: 1685438221649

05-30 17:17:01.650  1105  1105 D Laban   : setRouteVolume: 1685438221650

05-30 17:17:01.723  1941  1941 D Laban   : onProgressChanged: 1685438221723

05-30 17:17:01.724  1105  1105 D Laban   : setRouteVolume: 1685438221724

05-30 17:17:01.774  1941  1941 D Laban   : onProgressChanged: 1685438221774

05-30 17:17:01.775  1105  1105 D Laban   : setRouteVolume: 1685438221775

05-30 17:17:01.856  1941  1941 D Laban   : onProgressChanged: 1685438221856

05-30 17:17:01.857  1105  1105 D Laban   : setRouteVolume: 1685438221857

05-30 17:17:01.922  1941  1941 D Laban   : onProgressChanged: 1685438221922

05-30 17:17:01.926  1105  1105 D Laban   : setRouteVolume: 1685438221926

05-30 17:17:01.979  1941  1941 D Laban   : onProgressChanged: 1685438221979

05-30 17:17:01.981  1105  1105 D Laban   : setRouteVolume: 1685438221981
05-30 17:17:02.062  1941  1941 D Laban   : onProgressChanged: 1685438222062

05-30 17:17:02.063  1105  1105 D Laban   : setRouteVolume: 1685438222063

05-30 17:17:02.128  1941  1941 D Laban   : onProgressChanged: 1685438222128

05-30 17:17:02.130  1105  1105 D Laban   : setRouteVolume: 1685438222130

05-30 17:17:02.202  1941  1941 D Laban   : onProgressChanged: 1685438222202

05-30 17:17:02.205  1105  1105 D Laban   : setRouteVolume: 1685438222205

05-30 17:17:02.296  1941  1941 D Laban   : onProgressChanged: 1685438222296

05-30 17:17:02.302  1105  1105 D Laban   : setRouteVolume: 1685438222302

05-30 17:17:02.348  1941  1941 D Laban   : onProgressChanged: 1685438222348

05-30 17:17:02.359  1105  1105 D Laban   : setRouteVolume: 1685438222359

05-30 17:17:02.437  1941  1941 D Laban   : onProgressChanged: 1685438222437

05-30 17:17:02.438  1105  1105 D Laban   : setRouteVolume: 1685438222438

05-30 17:17:02.483  1941  1941 D Laban   : onProgressChanged: 1685438222483

05-30 17:17:02.494  1105  1105 D Laban   : setRouteVolume: 1685438222494

#6 - 2023-05-31 14:52 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

根据当前UI的内容，在1秒内发送了16次音量调节，

而每一次调节是需要100ms左右的时间完成，

相当于每一秒内的连续调节是超时的，会导致微服务出现排队，这时调节音量就会不连续。

#7 - 2023-06-01 15:48 - Multimedia组-RD3_TSCD 梁卿山

HI ALL

当前信息，PM意思先保持现状。

#8 - 2023-06-02 15:27 - Multimedia组-RD3_TSCD 梁卿山

- File 保持现状截图.png added

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to WONTFIX

- Degrated changed from -- to No

- Root cause set to PM说保持现状

HI 永红

该问题和PM沟通后，建议保持现状。

#9 - 2023-06-02 17:31 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#10 - 2023-06-02 17:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
052402.tar.gz 11.6 MB 2023-05-25 CDTS_Test 吴诗雨

IOVDEV-30209.zip 7.34 MB 2023-05-25 CDTS_Test 吴诗雨

保持现状截图.png 188 KB 2023-06-02 Multimedia组-RD3_TSCD 梁卿山
